## org.apache.ivy.osgi.updatesite.xml
Class UpdateSiteDigestParser

    java.lang.Object
      org.apache.ivy.osgi.updatesite.xml.UpdateSiteDigestParser

    public class UpdateSiteDigestParser

extends java.lang.Object

Constructor Summary
`UpdateSiteDigestParser()`

Method Summary
`static UpdateSiteDescriptor` `parse(java.io.InputStream in, UpdateSite site)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateSiteDigestParser

    public UpdateSiteDigestParser()

Method Detail

### parse

    public static UpdateSiteDescriptor parse(java.io.InputStream in,
                                             UpdateSite site)
                                      throws java.text.ParseException,
                                             java.io.IOException,
                                             org.xml.sax.SAXException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`
    `org.xml.sax.SAXException`